function [L,U] = myLU(A)
% Computes factorization LA=U without row exchange
% (outputs error if not possible)

% Check input:
[m,n] = size(A);
if (m==n)
    AA = A; % save for checking later
    % Allocate factors
    L = zeros(n);
    
    % Factorization:
    for k = 1:n
        % Check pivot
        if abs(A(k,k))<1e-15
            disp('Zero pivot -- LU cannot be completed')
            return
        else
            L(k:n,k) = A(k:n,k) / A(k,k);
            A(k+1:n,1:n) = A(k+1:n,1:n) - L(k+1:n,k)*A(k,1:n);
        end
    end
    U = A;
    L = inv(L);
    %%% Check %%%
    % disp(norm(L*AA-U))
    %%% end check %%%
else
    disp('Input size for last LU decomposition is wrong')
end
end